
QGIS Application - Bug report #17541

Processing Toolbox ads decimal places in attributes, all fields have the same number.

2017-11-23 10:00 PM - Pawel Stankiewicz

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Windows 10 64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 25438

Description

Provider independent (SAGA and QGIS).

History

#1 - 2017-11-23 11:11 PM - Nyall Dawson

- Status changed from Open to Feedback

Need a lot more detail here - it's certainly not reproducable here.

#2 - 2017-11-24 09:15 AM - Pawel Stankiewicz

Should I attach a file or record action on a screen? Any .shp with different numbers of decimal places in attributes should be enough.

#3 - 2017-11-24 01:49 PM - Giovanni Manghi

Pawel Stankiewicz wrote:

Should I attach a file or record action on a screen?

yes, or alternatively add the list of exact steps you follow (also add sample data).

#4 - 2017-11-24 07:04 PM - Pawel Stankiewicz

- File Test.zip added

Preparing files and testing I've found decimal places are added when results are in a temporary layer no matter whether is in from Processing Toolbox or

Vector menu. Saving to a file saves decimal places.

In Processing Toolbox bar write ,,Vo". From QGIS geoalgorithms choose ,,Voronoi polygons". Run it. In the Voronoi polygons attribute table all numbers

with decimal places have 5 ones. In the orginal file there are from 1 to 4.

#5 - 2017-11-24 07:34 PM - Giovanni Manghi

- File Screenshot_20171124_183441.png added
Pawel Stankiewicz wrote:

Preparing files and testing I've found decimal places are added when results are in a temporary layer no matter whether is in from Processing

Toolbox or Vector menu. Saving to a file saves decimal places.

In Processing Toolbox bar write ,,Vo". From QGIS geoalgorithms choose ,,Voronoi polygons". Run it. In the Voronoi polygons attribute table all

numbers with decimal places have 5 ones. In the orginal file there are from 1 to 4.

see attached screenshot.

#6 - 2017-11-24 07:55 PM - Pawel Stankiewicz

Any ideas what should I check?

#7 - 2017-11-25 03:34 PM - Giovanni Manghi

Pawel Stankiewicz wrote:

Any ideas what should I check?

update to latest master revision code. Try on a clean environment/installation. Thanks!

#8 - 2017-11-26 10:45 AM - Pawel Stankiewicz

Thanks for your answer. How to make a clean environment? Is it enough deinstallation first and deleting C:\Users\me\.qgis2 ? I will wait to next version.

#9 - 2017-11-27 11:32 PM - Giovanni Manghi

Pawel Stankiewicz wrote:

Thanks for your answer. How to make a clean environment? Is it enough deinstallation first and deleting C:\Users\me\.qgis2 ? I will wait to next

version.

see #17510-2

#10 - 2018-02-22 12:17 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files
Test.zip 1.98 KB 2017-11-24 Pawel Stankiewicz

Screenshot_20171124_183441.png 193 KB 2017-11-24 Giovanni Manghi
